# Mattermost DialogBuilder

https://developers.mattermost.com/integrate/plugins/interactive-dialogs/





## Example

```php
use NoccyLabs\MatterMost\DialogBuilder\DialogBuilder;

$dialog = DialogBuilder::create()
    ->setTriggerId($triggerId)
    ->setUrl($callbackUrl)
    ->addElement(TextElement::class, 
        displayName:"Enter the new foo", 
        name:"foo",
        type:TextElement::TEXT
        )
    ->addElement(SelectElement::class,
        displayName:"Select a drink",
        name:"bar",
        options: [
            'drink1' => "Harvey Wallbanger",
            'drink2' => "Long Island Ice Tea"
        ]
        )

```